<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MINI51DE_BSP: Device/Nuvoton/Mini51Series/Source/system_Mini51Series.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">MINI51DE_BSP<span id="projectnumber">&#160;V3.03.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Mini51DE Series MCU</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_4c76ddfc10a27668d6c42d3412320ee0.html">Device</a></li><li class="navelem"><a class="el" href="../../dir_dfa946205a9a0ffc7bda9b97689fa4ff.html">Nuvoton</a></li><li class="navelem"><a class="el" href="../../dir_121a9ecaa66bd755f16cf1369c08942a.html">Mini51Series</a></li><li class="navelem"><a class="el" href="../../dir_0ed8748315c083fd326663c7d3aef8a1.html">Source</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle"><div class="title">system_Mini51Series.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../dc/d23/system___mini51_series_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**************************************************************************/</span></div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span><span class="preprocessor">#include &lt;stdint.h&gt;</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span><span class="preprocessor">#include &quot;<a class="code" href="../../de/d94/_mini51_series_8h.html">Mini51Series.h</a>&quot;</span></div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span> </div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span> </div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span><span class="comment">/*----------------------------------------------------------------------------</span></div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span><span class="comment">  Clock Variable definitions</span></div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span><span class="comment"> *----------------------------------------------------------------------------*/</span></div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno"><a class="line" href="../../dd/d6a/system___mini51_series_8h.html#aa3cd3e43291e81e795d642b79b6088e6">   20</a></span>uint32_t <a class="code hl_variable" href="../../dc/d23/system___mini51_series_8c.html#aa3cd3e43291e81e795d642b79b6088e6">SystemCoreClock</a>  = <a class="code hl_define" href="../../dd/d6a/system___mini51_series_8h.html#abbd628d8a30e6695b3715ae72a693e56">__HSI</a>;              </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno"><a class="line" href="../../dd/d6a/system___mini51_series_8h.html#a63bedf89ae7fbb102b8653aca20d3a14">   21</a></span>uint32_t <a class="code hl_variable" href="../../dc/d23/system___mini51_series_8c.html#a63bedf89ae7fbb102b8653aca20d3a14">CyclesPerUs</a>      = (<a class="code hl_define" href="../../dd/d6a/system___mini51_series_8h.html#abbd628d8a30e6695b3715ae72a693e56">__HSI</a> / 1000000);  </div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno"><a class="line" href="../../dd/d6a/system___mini51_series_8h.html#ae0c36a9591fe6e9c45ecb21a794f0f0f">   31</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/d23/system___mini51_series_8c.html#ae0c36a9591fe6e9c45ecb21a794f0f0f">SystemCoreClockUpdate</a> (<span class="keywordtype">void</span>)</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>{</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>    uint32_t u32CoreFreq, u32ClkSrc;</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span> </div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>    u32ClkSrc = <a class="code hl_define" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga4b355291fe6b8ba8e167ab0faa862e45">CLK</a>-&gt;CLKSEL0 &amp; <a class="code hl_define" href="../../dd/d47/group___m_i_n_i51___definitions.html#ga2b0b9da2546b63f8a826d81e604948c2">CLK_CLKSEL0_HCLK_S_Msk</a>;</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span> </div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>    <span class="keywordflow">if</span> (u32ClkSrc == 0)</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        u32CoreFreq = <a class="code hl_define" href="../../dd/d6a/system___mini51_series_8h.html#a8687edecd98881631a879bd10528c7da">__XTAL</a>;       <span class="comment">/* External crystal clock */</span></div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    <span class="keywordflow">else</span> <span class="keywordflow">if</span> (u32ClkSrc == 3)</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        u32CoreFreq = <a class="code hl_define" href="../../dd/d6a/system___mini51_series_8h.html#a15980137f4b2263e0102fe2524932485">__IRC10K</a>;     <span class="comment">/* Internal 10K crystal clock */</span></div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>    <span class="keywordflow">else</span> <span class="keywordflow">if</span> (u32ClkSrc ==  7)</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        u32CoreFreq = <a class="code hl_define" href="../../dd/d6a/system___mini51_series_8h.html#a273745e210b52623e70b5cdde9010d1a">__IRC22M</a>;     <span class="comment">/* Internal 22M */</span></div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>    <span class="keywordflow">else</span></div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>        u32CoreFreq = <a class="code hl_define" href="../../dd/d6a/system___mini51_series_8h.html#a273745e210b52623e70b5cdde9010d1a">__IRC22M</a>;     <span class="comment">/* unknown value, use default Internal 22M */</span></div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span> </div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>    <a class="code hl_variable" href="../../dc/d23/system___mini51_series_8c.html#aa3cd3e43291e81e795d642b79b6088e6">SystemCoreClock</a> = (u32CoreFreq/((<a class="code hl_define" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga4b355291fe6b8ba8e167ab0faa862e45">CLK</a>-&gt;CLKDIV &amp; <a class="code hl_define" href="../../dd/d47/group___m_i_n_i51___definitions.html#ga2efe84dd2b6600bb93af74da0b702d07">CLK_CLKDIV_HCLK_N_Msk</a>) + 1));</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>    <a class="code hl_variable" href="../../dc/d23/system___mini51_series_8c.html#a63bedf89ae7fbb102b8653aca20d3a14">CyclesPerUs</a> = (<a class="code hl_variable" href="../../dc/d23/system___mini51_series_8c.html#aa3cd3e43291e81e795d642b79b6088e6">SystemCoreClock</a> + 500000) / 1000000;</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>}</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span> </div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span><span class="preprocessor">#if USE_ASSERT</span></div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span> </div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span><span class="keywordtype">void</span> AssertError(uint8_t * file, uint32_t line)</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>{</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span> </div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>    printf(<span class="stringliteral">&quot;[%s] line %d : wrong parameters.\r\n&quot;</span>, file, line);</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span> </div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>    <span class="comment">/* Infinite loop */</span></div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>    <span class="keywordflow">while</span>(1) ;</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>}</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span> </div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span><span class="comment">/*** (C) COPYRIGHT 2013 Nuvoton Technology Corp. ***/</span></div>
<div class="ttc" id="a_mini51_series_8h_html"><div class="ttname"><a href="../../de/d94/_mini51_series_8h.html">Mini51Series.h</a></div><div class="ttdoc">Mini51 series peripheral access layer header file. This file contains all the peripheral register's d...</div></div>
<div class="ttc" id="agroup___m_i_n_i51___definitions_html_ga2b0b9da2546b63f8a826d81e604948c2"><div class="ttname"><a href="../../dd/d47/group___m_i_n_i51___definitions.html#ga2b0b9da2546b63f8a826d81e604948c2">CLK_CLKSEL0_HCLK_S_Msk</a></div><div class="ttdeci">#define CLK_CLKSEL0_HCLK_S_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d94/_mini51_series_8h_source.html#l00962">Mini51Series.h:962</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___definitions_html_ga2efe84dd2b6600bb93af74da0b702d07"><div class="ttname"><a href="../../dd/d47/group___m_i_n_i51___definitions.html#ga2efe84dd2b6600bb93af74da0b702d07">CLK_CLKDIV_HCLK_N_Msk</a></div><div class="ttdeci">#define CLK_CLKDIV_HCLK_N_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d94/_mini51_series_8h_source.html#l00986">Mini51Series.h:986</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n_html_ga4b355291fe6b8ba8e167ab0faa862e45"><div class="ttname"><a href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga4b355291fe6b8ba8e167ab0faa862e45">CLK</a></div><div class="ttdeci">#define CLK</div><div class="ttdoc">Pointer to CLK register structure.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d94/_mini51_series_8h_source.html#l05736">Mini51Series.h:5736</a></div></div>
<div class="ttc" id="asystem___mini51_series_8c_html_a63bedf89ae7fbb102b8653aca20d3a14"><div class="ttname"><a href="../../dc/d23/system___mini51_series_8c.html#a63bedf89ae7fbb102b8653aca20d3a14">CyclesPerUs</a></div><div class="ttdeci">uint32_t CyclesPerUs</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d23/system___mini51_series_8c_source.html#l00021">system_Mini51Series.c:21</a></div></div>
<div class="ttc" id="asystem___mini51_series_8c_html_aa3cd3e43291e81e795d642b79b6088e6"><div class="ttname"><a href="../../dc/d23/system___mini51_series_8c.html#aa3cd3e43291e81e795d642b79b6088e6">SystemCoreClock</a></div><div class="ttdeci">uint32_t SystemCoreClock</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d23/system___mini51_series_8c_source.html#l00020">system_Mini51Series.c:20</a></div></div>
<div class="ttc" id="asystem___mini51_series_8c_html_ae0c36a9591fe6e9c45ecb21a794f0f0f"><div class="ttname"><a href="../../dc/d23/system___mini51_series_8c.html#ae0c36a9591fe6e9c45ecb21a794f0f0f">SystemCoreClockUpdate</a></div><div class="ttdeci">void SystemCoreClockUpdate(void)</div><div class="ttdoc">This function is used to update the variable SystemCoreClock and must be called whenever the core clo...</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d23/system___mini51_series_8c_source.html#l00031">system_Mini51Series.c:31</a></div></div>
<div class="ttc" id="asystem___mini51_series_8h_html_a15980137f4b2263e0102fe2524932485"><div class="ttname"><a href="../../dd/d6a/system___mini51_series_8h.html#a15980137f4b2263e0102fe2524932485">__IRC10K</a></div><div class="ttdeci">#define __IRC10K</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d6a/system___mini51_series_8h_source.html#l00032">system_Mini51Series.h:32</a></div></div>
<div class="ttc" id="asystem___mini51_series_8h_html_a273745e210b52623e70b5cdde9010d1a"><div class="ttname"><a href="../../dd/d6a/system___mini51_series_8h.html#a273745e210b52623e70b5cdde9010d1a">__IRC22M</a></div><div class="ttdeci">#define __IRC22M</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d6a/system___mini51_series_8h_source.html#l00031">system_Mini51Series.h:31</a></div></div>
<div class="ttc" id="asystem___mini51_series_8h_html_a8687edecd98881631a879bd10528c7da"><div class="ttname"><a href="../../dd/d6a/system___mini51_series_8h.html#a8687edecd98881631a879bd10528c7da">__XTAL</a></div><div class="ttdeci">#define __XTAL</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d6a/system___mini51_series_8h_source.html#l00033">system_Mini51Series.h:33</a></div></div>
<div class="ttc" id="asystem___mini51_series_8h_html_abbd628d8a30e6695b3715ae72a693e56"><div class="ttname"><a href="../../dd/d6a/system___mini51_series_8h.html#abbd628d8a30e6695b3715ae72a693e56">__HSI</a></div><div class="ttdeci">#define __HSI</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d6a/system___mini51_series_8h_source.html#l00034">system_Mini51Series.h:34</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 18:23:38 for MINI51DE_BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
